UNSTARCH(1)

NAME
unstarch - manual page for unstarch 2.4.42+dfsg

DESCRIPTION
unstarch

    citation: http://bioinformatics.oxfordjournals.org/content/28/14/1919.abstract

    https://doi.org/10.1093/bioinformatics/bts277

    binary version: 2.4.42 (typical) (extracts archive version: 2.2.0 or older) authors: Alex Reynolds and Shane Neph

USAGE: unstarch [ <chromosome> ] [ --elements |

--elements-max-string-length |
    --bases | --bases-uniq | --has-duplicates | --has-nested | --list | --list-json | --list-chromosomes | --archive-timestamp | --note | --archive-version | --is-starch | --signature | --verify-signature ] <starch-file>

    Modifiers -------------------------------------------------------------------------- <chromosome> Optional. Either unarchives chromosomespecific records from the starch archive

file or restricts action of operator to
    chromosome (e.g., chr1, chrY, etc.).

    Process Flags -------------------------------------------------------------------------- --elements Show total element count for archive. If

<chromosome> is specified, the result
    shows the element count for the chromosome.

--elements-max-string-length
    Show the maximum string length over all elements in <chromosome>, if specified. If <chromosome> is not specified, the maximum string length is shown over all chromosomes.

--bases,

--bases-uniq
    Show total and unique base counts, respectively, for archive. If <chromosome> is specified, the count is specific to the chromosome, if available.

--has-duplicate-as-string,

--has-duplicate
    Show whether there is one or more duplicate elements in the specified chromosome, either as a numerical (1/0) or string (true/false) value. If no <chromosome> is specified, the value given indicates if there is one or more duplicate elements across all chromosome records.

--has-nested-as-string,

--has-nested
    Show whether there is one ore more nested elements in the specified chromosome, either as a numerical (1/0) or string (true/false) value. If no <chromosome> is specified, the value given indicates if there is one or more nested elements across all chromosome records.

--list
    List archive metadata (output is in text format). If chromosome is specified, the attributes of the given chromosome are shown.

--list-json,

--list-json-no-trailing-newline
    List archive metadata (output is in JSON format)

--list-chr,

--list-chromosomes
    List all or specified chromosome in starch archive (like "bedextract --listchr"). If <chromosome> is specified but is not in the output list, nothing is returned.

--note
    Show descriptive note, if available.

--signature
    Display the Base64-encoded SHA-1 data integrity signature for specified <chromosome>, or the signatures of the metadata and all available chromosomes, if the <chromosome> is unspecified.

--verify-signature
    Verify data integrity of specified <chromosome>, or the integrity of all available chromosomes, if the <chromosome> is unspecified.

--archive-timestamp
    Show archive creation timestamp (ISO 8601 format).

--archive-type
    Show archive compression type.

--archive-version
    Show archive version.

--is-starch
    Test if <starch-file> is a valid archive and print 0/1 (false/true) to standard output. Unstarch will also return a nonzero error code if the input file is not a valid archive.

--version
    Show binary version.

--help
    Show this usage message.

SEE ALSO
The full documentation for unstarch is maintained as a Texinfo manual. If the info and unstarch programs are properly installed at your site, the command

    info unstarch

should give you access to the complete manual.